#!/usr/bin/env perl

if ($ARGV[0] eq "--help"){
  print <<"HERE";

pkg -- create a package user.

syntax:
  pkg package-name description
  pkg --help 

Create a package user for the purpose of compiling
a particular package.

The user will be created with user and group both
equal to the name you specify.

You will then be put into the user's home
directory where you may proceed with
compiling/installation of the package.

If the user already exists, this is equivalent to 
  su package-name; cd ~; 

Written by Robert McIntyre. This software is free
software and is released to the public domain.
  
HERE
exit 0;
}


$pkg_name = $ARGV[0];

$pkg_desc = $ARGV[1];

# Validate pkg_user as a user name.
if (!($pkg_name =~ m/^[A-Za-z][A-Za-z0-9_-]*$/)){
  print "$pkg_name is not a valid user name!\n";
  exit 0;
}

# Validate description.
if ($pkg_desc =~ m/:/){
  print "Package Description cannot contain \":\"\n";
  exit 0
}


print "name: $pkg_name\ndesc: $pkg_desc\n";


